PKEYPARAM(1SSL)

NOM
pkeyparam - Outil de traitement de paramètres d'algorithme à clef publique

SYNOPSIS
openssl pkeyparam [-in fichier] [-out fichier] [-text] [-noout] [-engine identifiant]

DESCRIPTION
La commande pkey traite les clefs publique ou privée. Elles peuvent être converties entre différentes formes et avoir leurs composants affichés.

OPTIONS DE LA COMMANDE

-in fichier
    Indiquer le nom du fichier où seront lus les paramètres. Par défaut, l'entrée standard est utilisée.

-out fichier
    Indiquer le nom du fichier où seront écrits les paramètres. Par défaut, la sortie standard est utilisée.

-text
    Afficher les paramètres au format texte en plus de la version encodée.

-noout
    Ne pas produire la version encodée des paramètres.

-engine identifiant
    L’indication d’un moteur (en utilisant son identifiant unique identifiant) forcera pkey à essayer d'obtenir une référence fonctionnelle pour le moteur indiqué et à l'initialiser si nécessaire. Le moteur sera ensuite utilisé par défaut pour tous les algorithmes disponibles.

EXEMPLE
Afficher la version texte des paramètres :

 openssl pkeyparam -in param.pem -text

NOTES
Aucune option -inform ou -outform n’existe pour cette commande parce que seul le format PEM est pris en charge car le type de clef est déterminé par les en-têtes PEM.

VOIR AUSSI
genpkey(1), rsa(1), pkcs8(1), dsa(1), genrsa(1), gendsa(1)

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.